avalon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Donald <dona...@apache.org>
Subject Re: Which Ant version?
Date Sun, 14 Oct 2001 13:26:56 GMT
On Sat, 13 Oct 2001 22:17, Jeff Turner wrote:
> Hi,
>
> The Ant in CVS is 1.5alpha, from Sept 17th. It includes support for the
> unified "file" attribute, replacing "zipfile", "warfile", "tarfile", etc.
> This has been used in files like apps/demos/build.xml

yep - I use the avalon projects amongs others as my testcase for ant to see 
if I brake stuff ;)

> 1) Are we going to continue to use unreleased 1.5 features, or standardize
> on 1.4.1? 2) If we standardize on 1.4.1, do we keep it in CVS or get users
> to download it?

We can goto 1.4.1 because it fixed the bug that stopped us using 1.4.

> 1) Standardize on 1.4.1, since:
>  - there's nothing in 1.5 we particularly need (I think?)

The only thing being nicer help descriptions when you go -projecthelp but we 
don't need that.

> 2) Get users to download it. Avalon's target audience is "developers". By
> now, I'd hope that most developers have Ant installed.

Now that ant doesn't need ANT_HOME (except on win9x) and we shouldn't need to 
use any non-released features of ant I don't think. So I guess this would be 
doable.

-- 
Cheers,

Pete

--------------------------------------------------
"An intellectual is someone who has been educated 
beyond their intelligence."
--------------------------------------------------


---------------------------------------------------------------------
To unsubscribe, e-mail: avalon-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: avalon-dev-help@jakarta.apache.org


Mime
View raw message